Index: /orxonox/branches/heightMap/src/Makefile.am
===================================================================
--- /orxonox/branches/heightMap/src/Makefile.am	(revision 4089)
+++ /orxonox/branches/heightMap/src/Makefile.am	(revision 4090)
@@ -76,5 +76,7 @@
 		 lib/math/vector.cc \
 		 lib/math/curve.cc \
-		 glmenu/glmenu_imagescreen.cc 
+		 glmenu/glmenu_imagescreen.cc \
+ 		 lib/graphics/importer/heightmap.cc
+
 
 noinst_HEADERS = orxonox.h \
@@ -134,6 +136,6 @@
 		 lib/math/vector.h \
 		 lib/math/curve.h \
-		 glmenu/glmenu_imagescreen.h 
-
+		 glmenu/glmenu_imagescreen.h \
+		 lib/graphics/importer/heightmap.h
 
 ## orxonox.conf will be used from home-dir instead.
Index: /orxonox/branches/heightMap/src/lib/graphics/importer/framework.h
===================================================================
--- /orxonox/branches/heightMap/src/lib/graphics/importer/framework.h	(revision 4089)
+++ /orxonox/branches/heightMap/src/lib/graphics/importer/framework.h	(revision 4090)
@@ -4,4 +4,5 @@
 #include "windowHandler.h" // Include the Whandler Basecode
 #include "objModel.h"
+#include "heightmap.h"
 #include "vector.h"
 
Index: /orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.cc
===================================================================
--- /orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.cc	(revision 4089)
+++ /orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.cc	(revision 4090)
@@ -0,0 +1,40 @@
+
+
+#include "heightmap.h"
+
+#include <stdio.h>
+#include <string.h>
+#include <stdlib.h>
+
+#include "debug.h"
+#include "compiler.h"
+
+
+Heightmap::Heightmap(const char* fileName, float scaling, int displaylistResolution, int vertexResolution)
+{
+	this->scaleFactor = scaling;
+	this->setName(fileName);
+	
+	this->import(fileName);
+	
+	//this->finalize();
+}
+
+Heightmap::~Heightmap ()
+{
+}
+
+bool Heightmap::import (const char* fileName)
+{
+	PRINTF(4)("preparing to read in file: %s\n", fileName);
+	
+	// using SDL-image to load the bitmap
+	this->bitmap = IMG_Load(fileName);
+
+	
+	
+	
+	
+	return true;
+}
+
Index: /orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.h
===================================================================
--- /orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.h	(revision 4089)
+++ /orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.h	(revision 4090)
@@ -1,11 +1,24 @@
+
+
+#ifndef _HEIGHTMAP_H
+#define _HEIGHTMAP_H
+
 #include "model.h"
+#include <SDL_image.h>
 
 class Heightmap : public Model
 {
 
+public:
+	Heightmap(const char* fileName, float scaling = 1.0, int displaylistResolution = 100, int vertexResolution = 1);
 
+	virtual ~Heightmap();
+	
+private:
+	bool import (const char* fileName);
 
+	// holds the loaded pixels
+	SDL_Surface* bitmap;
+};
 
-
-
-}
+#endif /* _HEIGHTMAP_H */
Index: /orxonox/branches/heightMap/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/heightMap/src/story_entities/world.cc	(revision 4089)
+++ /orxonox/branches/heightMap/src/story_entities/world.cc	(revision 4090)
@@ -626,4 +626,5 @@
   glEndList();
 
+  //terrain = new Terrain("../data/worlds/newGround.obj");
   terrain = new Terrain("../data/pictures/heightmapHello.bmp");
   terrain->setRelCoor(Vector(0,-10,0));
Index: /orxonox/branches/heightMap/src/world_entities/terrain.cc
===================================================================
--- /orxonox/branches/heightMap/src/world_entities/terrain.cc	(revision 4089)
+++ /orxonox/branches/heightMap/src/world_entities/terrain.cc	(revision 4090)
@@ -21,4 +21,7 @@
 #include "glincl.h"
 
+#include "heightmap.h"
+
+
 using namespace std;
 
@@ -51,9 +54,32 @@
     {
       // the heightmap case
-      this->model = (Heightmap*)ResourceManager::getInstance()->load(fileName, BMP, RP_LEVEL);
+      //this->model = (Heightmap*)ResourceManager::getInstance()->load(fileName, BMP, RP_LEVEL);
     }
   else
     {
       // nor .obj nor .bmp
+    }
+}
+
+/**
+\brief Constructor for loading a heightmap out of a file
+ \param fileName The file to load data from.
+ \param displaylistResolution The count of vertices in a Displaylistdimension
+ \param vertexResolution How exact the mesh should be created. 1 means every pixel defines a vertex
+ 
+ */
+Terrain::Terrain(char* fileName, int displaylistResolution, int vertexResolution)
+{
+	this->init();
+	
+	// here are only bmps supported!
+	if (strstr(fileName, ".bmp") || strstr(fileName, ".BMP"))
+    {
+		// the heightmap case
+		this->model = new Heightmap(fileName, 1.0, displaylistResolution, vertexResolution);
+    }
+	else
+    {
+		// nor .obj nor .bmp
     }
 }
Index: /orxonox/branches/heightMap/src/world_entities/terrain.h
===================================================================
--- /orxonox/branches/heightMap/src/world_entities/terrain.h	(revision 4089)
+++ /orxonox/branches/heightMap/src/world_entities/terrain.h	(revision 4090)
@@ -26,4 +26,5 @@
   Terrain();
   Terrain(char* fileName);
+  Terrain(char* fileName, int displaylistResolution, int vertexResolution);
   Terrain(DebugTerrain debugTerrain);
   virtual ~Terrain();
